%% Importing data

table{1}= importfile('Specimen_001_B2_B02_008.fcs_file_internal_comp_no debris_PSSA_only.txt');
table{2}= importfile('Specimen_001_B3_B03_009.fcs_file_internal_comp_no debris_expCADGE_+dNTPs.txt'); 
table{3}= importfile('Specimen_001_B4_B04_010.fcs_file_internal_comp_no debris_expCADGE_-dNTPs.txt'); 
table{4}= importfile('Specimen_001_B5_B05_011.fcs_file_internal_comp_no debris_purCADGE_+dNTPs.txt'); 
table{5}= importfile('Specimen_001_B6_B06_012.fcs_file_internal_comp_no debris_purCADGE_-dNTPs.txt'); 
table{6}= importfile('Specimen_001_B1_B01_007.fcs_file_internal_comp_no debris_water.txt');

for c = 1:6
    
gmdist = fitgmdist(table{c}.PETexasRedA, 2);
gmsigma = gmdist.Sigma;
gmmu = gmdist.mu;
gmwt = gmdist.ComponentProportion;

f(c) = figure;
box on
set(gca,'FontSize',14);
h = get(gca, 'title');
set(h, 'FontSize',14)

x = 10:0.01:10000;
xlim([10 10000])
histogram(table{c}.PETexasRedA, 'Normalization', 'pdf', 'EdgeColor', 'none')
hold on;

p = pdf('Normal', x, gmmu(1), gmsigma(1)^0.5);
q = pdf('Normal', x, gmmu(2), gmsigma(2)^0.5);

plot(x, p*gmwt(1))
hold on;
plot(x, q*gmwt(2))

p_cell{c}=p;
q_cell{c}=q;
sigma_cell{c}=gmdist.Sigma;
mu_cell{c}=gmdist.mu;
component_cell{c}=gmdist.ComponentProportion;

end

% gmdist = fitgmdist(table{2}.PETexasRedA, 2);
% gmsigma = gmdist.Sigma;
% gmmu = gmdist.mu;
% gmwt = gmdist.ComponentProportion;

% histogram(table{2}.PETexasRedA, 'Normalization', 'count', 'EdgeColor', 'none')
% x = 10:0.0001:10000;
% xlim([10 10000])
% hold on;
% plot(x, pdf(gmdist, x'), 'k')
% hold on;

% plot(x, pdf(gmdist, x'), 'k')
% hold on;

% histogram(table{2}.PETexasRedA, 'Normalization', 'pdf', 'EdgeColor', 'none')
% hold on;
% x = 10:0.01:10000;
% xlim([10 10000])
% 
% p = pdf('Normal', x, gmmu(1), gmsigma(1)^0.5);
% q = pdf('Normal', x, gmmu(2), gmsigma(2)^0.5);
% 
% plot(x, p*gmwt(1))
% hold on;
% plot(x, q*gmwt(2))

%% Other one found online 

% Mu = [ 4.5; 2 2; 3 3];
% Sigma(:,:,1) = [1 1; 1 2];
% Sigma(:,:,2) = 2*[1 1; 1 2];
% Sigma(:,:,3) = 3*[1 1; 1 2];
% PComponents = [1/2,1/4,1/4];
% S = struct('mu',Mu,'Sigma',Sigma,'ComponentProportion',PComponents);

% GMModel3 = fitgmdist(X,3,'Start',S);

%obj = fitgmdist(table{2}.PETexasRedA,2,'Start','randSample');
%obj = fitgmdist(table{2}.PETexasRedA,2,'Start','plus');
% obj = fitgmdist(table{2}.PETexasRedA,2);
% 
% idx = cluster(obj,table{2}.PETexasRedA);
% cluster1 = table{2}.PETexasRedA(idx == 1,:);
% cluster2 = table{2}.PETexasRedA(idx == 2,:);
% 
% histogram(cluster1, 'Normalization', 'pdf', 'EdgeColor', 'none')
% hold on
% histogram(cluster2, 'Normalization', 'pdf', 'EdgeColor', 'none')
% 
% gcluster1 = fitdist(cluster1,'Normal');
% gcluster2 = fitdist(cluster2,'Normal');
% 
% x_values = 0:.01:10000;
% y1 = pdf(gcluster1,x_values);
% y2 = pdf(gcluster2,x_values);
% plot(x_values,y1);hold on;
% plot(x_values,y2);

